POST api/StoreRoom/Edit
Request Information
URI Parameters
None.
Body Parameters
base_storeroom| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| name | string |
None. |
|
| parentId | integer |
None. |
|
| type | string |
None. |
|
| remark | string |
None. |
|
| status | integer |
None. |
|
| is_bs | integer |
None. |
|
| dept_id | integer |
None. |
|
| subs | Collection of base_storeroom |
None. |
Request Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.
multipart/form-data
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServerResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField></ServerResponse>